import BlueTable from '@/components/BlueTable';
import { useGlobalModalServices } from '@/pages/GlobalModalServices/provider';
import services from '@/services';
import { useRequest } from 'ahooks';
import { useMemo, useState } from 'react';

const AdministPunishList = (props: any) => {
  const [fetchParams, setFetchParams] = useState<any>({
    pageNo: 0,
    pageSize: 10,
  });
  const { dispatch } = useGlobalModalServices();

  const { data } = useRequest(
    () =>
      services.DataBase.getSjdzInfoData({
        typeCode: 'zzcc-xzcf-xzcffylb',
        params: {
          ...fetchParams,
          ...props?.searchTime,
        },
      }),
    {
      refreshDeps: [fetchParams],
    },
  );
  console.log(data);

  const columns = useMemo(() => {
    return [
      {
        title: '行政处罚决定书文号',
        dataIndex: 'xzcfjdswh',
        key: 'xzcfjdswh',
        width: 300,
        ellipsis: true,
      },
      {
        title: '违法行为类型',
        dataIndex: 'wfxwlx',
        key: 'wfxwlx',
        width: 150,
        ellipsis: true,
      },
      {
        title: '违法事实',
        dataIndex: 'wfss',
        key: 'wfss',
        width: 650,
        ellipsis: true,
      },
      {
        title: '处罚决定日期',
        dataIndex: 'cfjdrq',
        key: 'cfjdrq',
        width: 150,
        ellipsis: true,
      },
      {
        title: '操作',
        dataIndex: 'c',
        key: 'dictdldj_name',
        width: 100,
        ellipsis: true,
        render: (val: string, record: any) => {
          return (
            <div
              onClick={() => {
                dispatch.push('AdministPunishDetails', {
                  title: '行政处罚详情',
                  props: {
                    id: record?.id,
                  },
                });
              }}
              style={{
                color: 'rgb(36, 164, 255)',
                fontSize: 20,
                fontWeight: 700,
                cursor: 'pointer',
              }}
            >
              详情
            </div>
          );
        },
      },
    ];
  }, []);
  return (
    <div>
      <BlueTable
        //   dataSource={tableData?.data?.data?.records}
        dataSource={data?.data?.data?.records?.[0]?.list || []}
        columns={columns}
        scroll={{ x: 1050, y: 600 }}
        pagination={{
          total: data?.data?.data?.records?.[0]?.page?.total,
          pageSize: fetchParams?.pageSize,
          showQuickJumper: false,
          showSizeChanger: false,
          onChange: (page, pageSize) => {
            setFetchParams({
              ...fetchParams,

              pageNo: page - 1,
              pageSize: pageSize,
            });
          },
          //  hideOnSinglePage: true,
        }}
      />
    </div>
  );
};
export default AdministPunishList;
