import Tabs from '@/components/Tabs';
import { DatePicker } from 'antd';
import dayjs from 'dayjs';
import styles from './index.less';
const { RangePicker } = DatePicker;
const TopSarch = ({ onChange,items }: { onChange: (val: any) => void ,items?:any[]}) => {
  return (
    <div className={styles.container}>
      <Tabs
        style={{
          background: 'transparent',
          height: '30px',
        }}
        itemStyle={{
          borderRadius: '25px',
          background: 'rgba(7, 50, 93, 0.8)',
          fontSize: '16px',
          marginLeft: 8,
        }}
        onChange={(e) => {
          if (e === 'today') {
            onChange({
              dateType:'today',
             
            });
          }
          if (e === 'monthly') {
            onChange({
              dateType:'monthly',
              
            });
          }
          if (e === 'yearly') {
            onChange({
              dateType:'yearly',
             
            });
          }
        }}
        itemkey={'key'}
        items={items||[
          {
            key: 'today',
            label: '今日',
          },
          {
            key: 'monthly',
            label: '本月',
          },
          {
            key: 'yearly',
            label: '本年',
          },
        ]}
      />
      <div className={styles.rangWarp}>
        <RangePicker
          onChange={(e) => {
            console.log(e);
            if(e?.length){
              onChange({
                dateType:'custom',
                startTime: e[0].format('YYYY-MM-DD'),
                endTime: e[1].format('YYYY-MM-DD'),
              });
            }
           
          }}
        />
      </div>
    </div>
  );
};

export default TopSarch;
